{% extends "educacao/index.html" %}

{% load staticfiles %}
{% load crispy_forms_tags %}


{% block bibliotecas %}
    <link rel="stylesheet" type="text/css" href="{% static 'choosen/chosen_v1.8.7/chosen.min.css' %}">
    <script type="text/javascript" charset="utf8" src="{% static 'choosen/chosen_v1.8.7/chosen.jquery.min.js' %}"></script>
    <script type="text/javascript" src="{% static "ckeditor/ckeditor-init.js" %}"></script>
    <script type="text/javascript" src="{% static "ckeditor/ckeditor/ckeditor.js" %}"></script>
    <script type="text/javascript" async src="http://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-AMS_HTML"></script>
{% endblock %}


{% block barra_horizontal %}
    <li>
        <a href="{% url 'educacao:ver_disciplina' relatorio.disciplina.id %}" class="btn btn-warning botao-barra-horizontal">
            Voltar
        </a>
    </li>

    <li>
        <a href="{% url 'educacao:adicionar_anexo_onde' 'relatorio' relatorio.id %}" class="btn btn-info botao-barra-horizontal">
            Adicionar anexo
        </a>
    </li>
{% endblock %}


{% block corpo_pagina %}
<div class="container-fluid bg-light rounded-top">
    <h2 style="margin-top: 10px">
        {{ relatorio.titulo }}
        de {{ relatorio.disciplina.sigla }} ({{ relatorio.disciplina.turma }})
    </h2>

    <ul class="nav nav-tabs" id="myTab" role="tablist">
        <li class="nav-item">
            <a class="nav-link active" data-toggle="tab" href="#instrucoes" role="tab">
                Instruções
            </a>
        </li>
        {% if experimentos.count > 0 %}
        <li class="nav-item">
            <a class="nav-link" data-toggle="tab" href="#experimentos" role="tab">
                Experimentos
            </a>
        </li>
        {% endif %}
        <li class="nav-item">
            <a class="nav-link" data-toggle="tab" href="#anexos" role="tab">
                Anexos
            </a>
        </li>
        {% if usuario.TIPO == usuario.DOCENTE %}
        <li class="nav-item">
            <a class="nav-link" data-toggle="tab" href="#execucoes-alunos" role="tab">
                Execuções dos alunos
            </a>
        </li>
        {% endif %}
    </ul>

    <div class="tab-content" id="myTabContent" style="margin-top: 10px">
        <div class="tab-pane fade show active tabela_maior " id="instrucoes" role="tabpanel">
            {{ relatorio.descricao|safe }}
        </div>

        {% if experimentos.count > 0 %}
        <div class="tab-pane fade show tabela_maior " id="experimentos" role="tabpanel">
            <table class="tabela-lista" id="tabela-experimentos">
                <thead>
                    <tr>
                        <th>Ações</th>
                        <th>Experimento</th>
                    </tr>
                </thead>
                <tbody>
                {% for experimento in experimentos %}
                {% if usuario.tipo == usuario.TIPO_DOCENTE or lista.visibilidade == lista.VISIBILIDADE_VISIVEL %}
                <tr>
                    <td>
                        <a href="{% url 'educacao:ver_experimento' experimento.id %}" data-toggle="tooltip"
                           data-placement="bottom" title="Ver o experimento">
                            <img src="{% static 'icones/ver.svg' %}" alt="Ver experimento">
                        </a>
                    </td>
                    <td>{{ experimento.ensaio.nome }}</td>

                </tr>
                {% endif %}
                {% endfor %}
                </tbody>
            </table>
        </div>
        {% endif %}

        <div class="tab-pane fade show tabela_maior" id="anexos" role="tabpanel">
            {% if anexos.count > 0 %}
            <p style="margin-top: 10px">
                Anexos:
            </p>

            <ul class="list-group">
            {% for anexo in anexos %}
                {% if anexo.resposta.id == formset_respostas.instance.id %}
                    <li class="list-group-item d-flex justify-content-between align-items-center">
                        <div class="text">
                        {% if anexo.tipo == anexo.TIPO_IMAGEM %}
                            <img src="{% static 'icones/imagem.svg' %}" width="40px" class="mr-3 img-thumbnail">
                        {% elif anexo.tipo == anexo.TIPO_CODIGO_FONTE %}
                            <img src="{% static 'icones/codigo.svg' %}" width="40px" class="mr-3 img-thumbnail">
                        {% elif anexo.tipo == anexo.TIPO_DOCUMENTO %}
                            <img src="{% static 'icones/documento.svg' %}" width="40px" class="mr-3 img-thumbnail">
                        {% elif anexo.tipo == anexo.TIPO_OUTROS %}
                            <img src="{% static 'icones/caixa.svg' %}" width="40px" class="mr-3 img-thumbnail">
                        {% endif %}
                        <a href="{{ anexo.arquivo.url }}">{{ anexo.nome_arquivo }}</a>
                        </div>
                        <a href="{% url 'educacao:remover_anexo_onde' 'relatorio' anexo.id %}" class="btn btn-outline-danger botao-barra-horizontal">
                            Remover
                        </a>
                    </li>
                {% endif %}
            {% endfor %}
            </ul>
            {% endif %}
        </div>

    {% if usuario.TIPO == usuario.DOCENTE %}
    <div class="tab-pane fade show tabela_maior" id="execucoes-alunos" role="tabpanel">

        <table class="tabela-lista" id="tabela-experimentos">
            <thead>
                <tr>
                    <th>Aluno</th>
                    <th>Número de execuções</th>
                </tr>
            </thead>

            <tbody>
            {% for linha in tabela_execucoes %}

            <tr>
                <td>
                    {{ linha.aluno.usuario_django.first_name }}
                    {{ linha.aluno.usuario_django.last_name }}
                </td>
                <td>
                    {{ linha.contagem }}
                </td>

            </tr>

            {% endfor %}
            </tbody>
        </table>


        <h3>Tabela com o número de execuções por dia</h3>

        <table class="tabela-lista" id="tabela-numero-execucoes-por-data">
            <thead>
                <tr>
                    <th>Data</th>
                    <th>Dia da semana</th>
                    <th>Número de execuções</th>
                </tr>
            </thead>

            <tbody>
            {% for dados in tabela_execucoes_por_data %}

            <tr>
                <td>
                    {{ dados.data }}
                </td>
                <td>
                    {{ dados.data|date:"l" }}
                </td>
                <td>
                    {{ dados.qtd }}
                </td>

            </tr>

            {% endfor %}
            </tbody>
        </table>

    </div>
    {% endif %}



</div>

{% endblock %}


{% block javascript %}

{% endblock %}
